from django.contrib.auth.backends import ModelBackend
from django.contrib.auth.models import User


class OAuthBackend(ModelBackend):
    def authenticate(self, email=None, **kwargs):
        if email:
            try:
                return User.objects.get(email=email)
            except User.DoesNotExist:
                pass
