# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('inventory', '0001_initial'),
        ('dcim', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='switchport',
            name='l2addresses',
            field=models.ManyToManyField(related_name='switch_ports', to='inventory.L2Address'),
        ),
        migrations.AddField(
            model_name='switchport',
            name='switch',
            field=models.ForeignKey(related_name='ports', to='dcim.Switch'),
        ),
        migrations.AlterUniqueTogether(
            name='switchport',
            unique_together=set([('switch', 'number')]),
        ),
    ]
