# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Switch',
            fields=[
                ('dcim_id', models.IntegerField(serialize=False, primary_key=True)),
                ('label', models.CharField(max_length=255)),
                ('management_address', models.CharField(max_length=255)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SwitchPort',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('number', models.CharField(max_length=255, null=True)),
                ('label', models.CharField(max_length=255, null=True)),
                ('dcim_server_id', models.IntegerField(null=True)),
                ('switch_port_name', models.CharField(max_length=255, null=True)),
                ('dcim_device_type', models.IntegerField(default=0, choices=[(0, b'Empty'), (1, b'Server'), (2, b'Appliance'), (3, b'Storage Array'), (4, b'Switch'), (5, b'Chassis'), (6, b'Patch Panel'), (7, b'Physical Infrastructure'), (-1, b'Other Object')])),
            ],
        ),
    ]
