# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings
import jsonfield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('dcim', '0002_auto_20160725_1128'),
    ]

    operations = [
        migrations.CreateModel(
            name='Device',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('label', models.CharField(max_length=80)),
                ('device_type', models.CharField(default=b'Server', max_length=23)),
                ('install_date', models.DateField()),
                ('owner', models.IntegerField()),
                ('contact_person', models.ForeignKey(to=settings.AUTH_USER_MODEL, null=True)),
                ('custom_values', jsonfield.fields.JSONField(default={})),
            ],
            options={
                'ordering': ('label',),
            },
        ),
    ]
