# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('inventory', '0003_convert_responsible_to_permissions'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='inventoryobject',
            name='responsible',
        ),
        migrations.RemoveField(
            model_name='lab',
            name='responsible',
        ),
        migrations.AlterField(
            model_name='inventoryobject',
            name='assigned_group',
            field=models.ForeignKey(related_name='assigned_objects', verbose_name=b'Contact Group', blank=True, to='auth.Group', null=True),
        ),
        migrations.AlterField(
            model_name='inventoryobject',
            name='assigned_user',
            field=models.ForeignKey(related_name='assigned_objects', verbose_name=b'Contact Person', blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
        migrations.AlterField(
            model_name='lab',
            name='assigned_group',
            field=models.ForeignKey(related_name='assigned_labs', verbose_name=b'Contact Group', blank=True, to='auth.Group', null=True),
        ),
        migrations.AlterField(
            model_name='lab',
            name='assigned_user',
            field=models.ForeignKey(related_name='assigned_labs', verbose_name=b'Contact Person', blank=True, to=settings.AUTH_USER_MODEL, null=True),
        ),
    ]
