# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0006_require_contenttypes_0002'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Source',
            fields=[
                ('source', models.IntegerField(default=0, serialize=False, primary_key=True, choices=[(0, b'Local'), (1, b'LDAP')])),
                ('groups', models.ManyToManyField(related_name='sources', to='auth.Group')),
                ('users', models.ManyToManyField(related_name='sources', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
